﻿$(document).ready(function () {
    var cbnumber = $("#dv_GoodProducts").attr("data-cbnumber");
    //显示好原料
    $.ajax({
        url: "/Handler/existsgoodproduct.ashx",
        cache: false,
        data: { "cbnumber": cbnumber },
        dataType: "json",
        success: function (data) {
            if (data) {
                if (data.ExistsSupplier || data.ExistsPackage) {
                    $("#dv_GoodProducts").show();
                    if (!data.ExistsSupplier) {
                        $("#dv_GoodProducts>.RS1").remove();
                    }
                    if (!data.ExistsPackage) {
                        $("#dv_GoodProducts>.RS2").remove();
                    }
                    //赋值元素到移动搜索
                    var $obj = $("#dv_GoodProducts>a").clone();
                    $obj.click(goodProducts);
                    //插入到指定位置 padding-top: 7px; padding-left: 20px;
                    if (iswxp==0) {
                        $("<li></li>").css({ "padding-top": "7px", "padding-left": "20px" }).append($obj).insertAfter($("#dv_head_float li[class='sbut1box']"));
                    }
                }
            }
        }
    });
    //查看好原料
    $("#dv_GoodProducts>a").click(goodProducts);
    if (location.search.indexOf("IsSee=true")!=-1) {
        $("#dv_GoodProducts>a").click();
    }
    $('.close[data-element="close"]').click(function () {
        if (location.search.indexOf("IsSee=true") != -1) {
            var searchStr = location.search;
            var searchResultStr = "";
            if (searchStr != null && searchStr != undefined && searchStr != "" && searchStr.split('&').length>0) {
                for (var i = 0; i < searchStr.split('&').length; i++) {
                    if (searchStr.split('&')[i].indexOf("IsSee=true") == -1) {
                            searchResultStr += searchStr.split('&')[i] + "&";
                    }
                }
            }
            window.location.href = location.pathname + searchResultStr.substr(0, searchResultStr.length - 1);
        }
    });
    //预加载
    // $("#dv_GoodProducts>a[data-good='price']").trigger("click", { before: true });
    //if ($("#dv_goodproduct_popbuy")!=null) {
    // $("#dv_goodproduct_popbuy").dialog("close");
    //}
})
goodProducts = function (event, args) {
    //初始化数据
    var good = $(this).attr("data-good");//supplier--供应商 price--指导价格
    var title = $(this).attr("data-title");//标题
    var productName = $(this).attr("data-productname");//产品名称
    var cas = $(this).attr("data-cas");//cas
    var cbnumber = $(this).attr("data-cbnumber");//cbnumber
    var before = false;
    if (args && args.before) {
        before = args.before;
    }
    $("#dv_goodproduct_popbuy").dialog({
        modal: true,
        dialogClass: "noneframe",
        width: "620px",

        open: function () {
            var d_scrollTop = $(document).scrollTop();
            var d_top = 271 + d_scrollTop;
            $("div[aria-describedby='dv_goodproduct_popbuy']").css({ "top": d_top + "px","z-index":"9999"});
            var $element = $(this);
            $element.attr("class", "popbuy");
            $element.find(":button[data-delegate-purchase='true']").attr({
                "data-cbnumber": cbnumber,
                "data-cas": cas,
                "data-productname": productName
            });
            $element.find("[data-element='title']").text(title);
            $element.find("[data-element='productname']").html("<span class=\"marginR10\">" + cas + "</span> " + productName);
            $element.find("[data-element='close']").one("click", function () {
                $element.dialog("close");
            });
            //区分供应商和指导价格
            $element.find("[data-place]").hide();
            if (before) {
                return false;
            }

            var sigin = $element.attr("data-sigin");
            if (sigin == "true") {
                if (good == "price") {
                    excessLook(lookPrice, $element, cbnumber, "price");
                }
                else {
                    excessLook(lookSupplier, $element, cbnumber, "supplier");
                }
            }
            else {
                loginAndRegister($element, cbnumber, good);
            }


        }

    });
}
function loginAndRegister($element, cbnumber, good) {
    var $login = $element.find("[data-place='login']");
    $login.show().find("a").one("click", function () {
        window.location.href = "/UserManager/Login.aspx?redirect=" + encodeURIComponent(location.pathname + location.search +"&IsSee=true");
    });
}
function excessLook(callback, $element, cbnumber, location) {
    //查询超过次数
    $.ajax({
        url: "/Handler/ExcessLookGoodProduct.ashx",
        cache: false,
        data: { "cbnumber": cbnumber, "location": location },
        dataType: "json",
        success: function (data) {
            callback(data, $element, cbnumber);
        }
    })

}
function lookSupplier(excess, $element, cbnumber) {
    if (excess.Excess) {
        $element.find("[data-place='excess']").show();
        $("#sp_lookcount").text(excess.LookCount);
    }
    else {
        var $supplier = $element.find("[data-place='supplier']");
        $supplier.show();
        $supplier.find("ul[class='RSlist']>li").remove();
        $supplier.find("ul[class='RSlist']").append("<li>正在加载</li>");
        //查询供应商
        $.ajax({
            url: "/Handler/SupplierOfGoodProduct.ashx",
            cache: false,
            data: { "cbnumber": cbnumber },
            dataType: "json",
            success: function (data) {
                $supplier.find("ul[class='RSlist']>li").remove();
                var len = data.length;
                for (var i = 0; i < len; i++) {
                    var entity = data[i];
                    var $li = $("<li></li>");
                    if (entity.SupplierName) {
                        $li.append("<strong>" + entity.SupplierName + " </strong>");
                    }
                    if (entity.SupplyCapacity) {
                        $li.append("<span class=\"c2\">" + entity.SupplyCapacity + "</span>");
                    }
                    if (entity.Tel) {
                        $li.append("<br />联系电话：" + entity.Tel);
                    }
                    if (entity.Url) {
                        $li.append("<br />公司网址：<a href=\"" + entity.Url + "\" target=\"_blank\">" + entity.Url + "</a>");
                    }
                    $supplier.find("ul[class='RSlist']").append($li);
                }
            }
        });
    }
}
function lookPrice(excess, $element, cbnumber) {
    //需要区分是否登录
    var sigin = $element.attr("data-sigin");
    if (sigin == "true") {
        if (excess.Excess) {
            //if (sigin == "true") {
            $element.find("[data-place='excess']").show();
            $("#sp_lookcount").text(excess.LookCount);
            //}
            //else {
            //    loginAndRegister($element, cbnumber);
            //}
        }
        else {
            var $price = $element.find("[data-place='price']");
            $price.show();
            $price.find("#tb_price~tr").remove();
            $("<tr><td colspan='4'>正在加载...</td><tr>").insertAfter($price.find("#tb_price"));
            //查询指导价
            $.ajax({
                url: "/Handler/PriceOfGoodProduct.ashx",
                cache: false,
                data: { "cbnumber": cbnumber },
                dataType: "json",
                success: function (data) {
                    $price.find("#tb_price~tr").remove();
                    var len = data.length;
                    for (var i = 0; i < len; i++) {
                        var entity = data[i];

                        var lenPrice = entity.Prices.length;
                        for (var j = 0; j < lenPrice; j++) {
                            var priceEntity = entity.Prices[j];
                            var str = "";
                            if (priceEntity.IsTax) {
                                str = "[含税]";
                            }
                            var $tr = $("<tr></tr>");
                            $tr.append("<td valign=\"center\">￥" + priceEntity.Price + str + "</td>");
                            $tr.append("<td valign=\"center\">" + priceEntity.PackAge + "</td>");
                            $tr.append("<td valign=\"center\">" + entity.Grade + "</td>");
                            $tr.append("<td valign=\"center\">" + entity.CreateDate + "</td>");
                            $tr.insertAfter($price.find("#tb_price"));

                        }

                    }
                }
            });
        }
    }
    else {
        loginAndRegister($element, cbnumber, location);
    }

}